> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Trailer

> Adds a trailer to a submission or endorsement.



## OpenAPI

````yaml post /submission/{displayId}/{transactionId}/trailer
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/trailer:
    post:
      tags:
        - Submission Data
      summary: Add Trailer
      description: Adds a trailer to a submission or endorsement.
      operationId: addTrailer
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - vehicle_id_number
                - year
                - make
                - model
                - value
              properties:
                vehicle_id_number:
                  description: VIN (10-17 chars)
                  type: string
                year:
                  type: integer
                  example: 2020
                make:
                  type: string
                  example: GREAT DANE
                model:
                  type: string
                  example: FREEDOM
                value:
                  type: integer
                  example: 25000
                body_type:
                  description: Trailer body type key
                  type: string
                ownership:
                  description: Trailer ownership
                  type: string
                  enum:
                    - owned
                    - non-owned
                deductible:
                  description: Custom deductible override
                  type: integer
              type: object
      responses:
        '201':
          description: Trailer added
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  trailer_id:
                    type: integer
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission not found
        '422':
          description: Validation error
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````